Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration
Class UnmodifiableConfiguration

    java.lang.Object
      org.jbehave.core.configuration.Configuration
          org.jbehave.core.configuration.UnmodifiableConfiguration

    public class UnmodifiableConfiguration

extends Configuration

Decorator of Configuration that disables modification of configuration elements.

Nested Class Summary
`static class` | `UnmodifiableConfiguration.ModificationNotAllowed`

Constructor Summary
`UnmodifiableConfiguration(Configuration delegate)`

Method Summary
`StoryReporter` | `defaultStoryReporter()` Deprecated. Use `StoryReporterBuilder`
`Configuration` | `doDryRun(Boolean dryRun)`
`boolean` | `dryRun()`
`FailureStrategy` | `failureStrategy()`
`Keywords` | `keywords()`
`ParameterControls` | `parameterControls()`
`ParameterConverters` | `parameterConverters()`
`com.thoughtworks.paranamer.Paranamer` | `paranamer()`
`PendingStepStrategy` | `pendingStepStrategy()`
`StepCollector` | `stepCollector()`
`StepMonitor` | `stepMonitor()`
`StepPatternParser` | `stepPatternParser()`
`StoryControls` | `storyControls()`
`StoryLoader` | `storyLoader()`
`StoryParser` | `storyParser()`
`StoryPathResolver` | `storyPathResolver()`
`StoryReporter` | `storyReporter(String storyPath)`
`StoryReporterBuilder` | `storyReporterBuilder()`
`String` | `toString()`
`Configuration` | `useDefaultStoryReporter(StoryReporter storyReporter)`
`Configuration` | `useFailureStrategy(FailureStrategy failureStrategy)`
`Configuration` | `useKeywords(Keywords keywords)`
`Configuration` | `useParameterControls(ParameterControls parameterControls)`
`Configuration` | `useParameterConverters(ParameterConverters parameterConverters)`
`Configuration` | `useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)`
`Configuration` | `usePendingStepStrategy(PendingStepStrategy pendingStepStrategy)`
`Configuration` | `useStepCollector(StepCollector stepCollector)`
`Configuration` | `useStepMonitor(StepMonitor stepMonitor)`
`Configuration` | `useStepPatternParser(StepPatternParser stepPatternParser)`
`Configuration` | `useStoryControls(StoryControls storyControls)`
`Configuration` | `useStoryLoader(StoryLoader storyLoader)`
`Configuration` | `useStoryParser(StoryParser storyParser)`
`Configuration` | `useStoryPathResolver(StoryPathResolver storyPathResolver)`
`Configuration` | `useStoryReporterBuilder(StoryReporterBuilder storyReporterBuilder)`
`Configuration` | `useViewGenerator(ViewGenerator viewGenerator)`
`ViewGenerator` | `viewGenerator()`

Methods inherited from class org.jbehave.core.configuration.Configuration
`pathCalculator, stepdocReporter, stepFinder, usePathCalculator, useStepdocReporter, useStepFinder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmodifiableConfiguration

    public UnmodifiableConfiguration(Configuration delegate)

Method Detail

### defaultStoryReporter

    public StoryReporter defaultStoryReporter()

  Deprecated. Use `StoryReporterBuilder`

  Overrides:
    `defaultStoryReporter` in class `Configuration`

### storyParser

    public StoryParser storyParser()

  Overrides:
    `storyParser` in class `Configuration`

### pendingStepStrategy

    public PendingStepStrategy pendingStepStrategy()

  Overrides:
    `pendingStepStrategy` in class `Configuration`

### stepCollector

    public StepCollector stepCollector()

  Overrides:
    `stepCollector` in class `Configuration`

### failureStrategy

    public FailureStrategy failureStrategy()

  Overrides:
    `failureStrategy` in class `Configuration`

### keywords

    public Keywords keywords()

  Overrides:
    `keywords` in class `Configuration`

### parameterConverters

    public ParameterConverters parameterConverters()

  Overrides:
    `parameterConverters` in class `Configuration`

### parameterControls

    public ParameterControls parameterControls()

  Overrides:
    `parameterControls` in class `Configuration`

### paranamer

    public com.thoughtworks.paranamer.Paranamer paranamer()

  Overrides:
    `paranamer` in class `Configuration`

### viewGenerator

    public ViewGenerator viewGenerator()

  Overrides:
    `viewGenerator` in class `Configuration`

### stepMonitor

    public StepMonitor stepMonitor()

  Overrides:
    `stepMonitor` in class `Configuration`

### stepPatternParser

    public StepPatternParser stepPatternParser()

  Overrides:
    `stepPatternParser` in class `Configuration`

### dryRun

    public boolean dryRun()

  Overrides:
    `dryRun` in class `Configuration`

### storyControls

    public StoryControls storyControls()

  Overrides:
    `storyControls` in class `Configuration`

### storyLoader

    public StoryLoader storyLoader()

  Overrides:
    `storyLoader` in class `Configuration`

### storyPathResolver

    public StoryPathResolver storyPathResolver()

  Overrides:
    `storyPathResolver` in class `Configuration`

### storyReporter

    public StoryReporter storyReporter(String storyPath)

  Overrides:
    `storyReporter` in class `Configuration`

### storyReporterBuilder

    public StoryReporterBuilder storyReporterBuilder()

  Overrides:
    `storyReporterBuilder` in class `Configuration`

### useKeywords

    public Configuration useKeywords(Keywords keywords)

  Overrides:
    `useKeywords` in class `Configuration`

### useStepCollector

    public Configuration useStepCollector(StepCollector stepCollector)

  Overrides:
    `useStepCollector` in class `Configuration`

### usePendingStepStrategy

    public Configuration usePendingStepStrategy(PendingStepStrategy pendingStepStrategy)

  Overrides:
    `usePendingStepStrategy` in class `Configuration`

### useFailureStrategy

    public Configuration useFailureStrategy(FailureStrategy failureStrategy)

  Overrides:
    `useFailureStrategy` in class `Configuration`

### doDryRun

    public Configuration doDryRun(Boolean dryRun)

  Overrides:
    `doDryRun` in class `Configuration`

### useStoryControls

    public Configuration useStoryControls(StoryControls storyControls)

  Overrides:
    `useStoryControls` in class `Configuration`

### useStoryParser

    public Configuration useStoryParser(StoryParser storyParser)

  Overrides:
    `useStoryParser` in class `Configuration`

### useDefaultStoryReporter

    public Configuration useDefaultStoryReporter(StoryReporter storyReporter)

  Overrides:
    `useDefaultStoryReporter` in class `Configuration`

### useParameterConverters

    public Configuration useParameterConverters(ParameterConverters parameterConverters)

  Overrides:
    `useParameterConverters` in class `Configuration`

### useParameterControls

    public Configuration useParameterControls(ParameterControls parameterControls)

  Overrides:
    `useParameterControls` in class `Configuration`

### useParanamer

    public Configuration useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)

  Overrides:
    `useParanamer` in class `Configuration`

### useStepMonitor

    public Configuration useStepMonitor(StepMonitor stepMonitor)

  Overrides:
    `useStepMonitor` in class `Configuration`

### useStepPatternParser

    public Configuration useStepPatternParser(StepPatternParser stepPatternParser)

  Overrides:
    `useStepPatternParser` in class `Configuration`

### useViewGenerator

    public Configuration useViewGenerator(ViewGenerator viewGenerator)

  Overrides:
    `useViewGenerator` in class `Configuration`

### useStoryLoader

    public Configuration useStoryLoader(StoryLoader storyLoader)

  Overrides:
    `useStoryLoader` in class `Configuration`

### useStoryPathResolver

    public Configuration useStoryPathResolver(StoryPathResolver storyPathResolver)

  Overrides:
    `useStoryPathResolver` in class `Configuration`

### useStoryReporterBuilder

    public Configuration useStoryReporterBuilder(StoryReporterBuilder storyReporterBuilder)

  Overrides:
    `useStoryReporterBuilder` in class `Configuration`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.